Bug 607501 - Nautilus does not allow to restore evince as preferred application for PDF viewing
Nautilus does not allow to restore evince as preferred application for PDF vi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 05:32 EDT by oliver
Modified: 2015-03-03 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oliver 2010-06-24 05:32:13 EDT
Description of problem:

When the preferred application for viewing PDF is messed up (e.g. gimp taking priority over evince), nautilus does not allow restoring sane behavior: Right-clicking a PDF file, "Open with other application...", selecting "Document viewer" and checking "Remember this application for PDF document files" has no effect.


Version-Release number of selected component (if applicable):
nautilus-2.30.1-3.fc13

How reproducible:
Always (on my system - I did not check from a fresh reinstall of entire OS)

Steps to Reproduce:
1. Start from working F13 desktop distribution
2. Install acrobat reader from adobe repository via yum
3. Acrobat is now default PDF reader
4. Uninstall acrobat reader
5. Gimp is now default PDF reader
6. Try to restore evince as Default PDF reader as described above
  
Actual results:

Gimp remains default PDF reader

Expected results:

Evince becomes default PDF reader


Additional info:

There is obviously a second bug or at some strangeness in steps 2-4 above.  This bug report is not about this (as it involves a proprietary third party package), I noted it only as one way of getting a messed-up configuration.

What this bug is about is that there should be a GUI way within GNOME to restore to a sane default.  I also tried "Preferences -> Preferred Applications", but it does not have a section for PDF files.  I am not sure if that's a bug or a feature, but I find it at least unpleasantly surprising that there is no control at this level for a very common file type handling application.
Comment 1 oliver 2010-07-06 04:28:29 EDT
OK, I have now, after several hours of trying, found how to do it: It's under "Right click on file" -> Properties -> Open With.  So, no bug.  Maybe I am getting too old to find all this GUI stuff intuitive.  But then, maybe, there are some real usability issues:

1. I would expect that "Preferences -> Preferred Applications" gives a view on "Preferred Applications" for any file type.  Alas, it does not.  There is also no global view in the GConf Editor, in fact, despite of much searching, I could not find any entries there.  I'd think a complete view on preferred applications settings would be very handy, otherwise one has to first find a file each type to change preferences.

2. On the "Right click on file" menue, the first couple of entries refer to the "Preferred Applications", yet to change this, one has to go down to the very bottom of the menu.  Very unexpected. (or does maybe some proprietary OS do it this way, so nobody finds this strange?)

3. There is a logical inversion here: One has to go to the Properties dialog of a single file to change global settings.

4. "Right click on file" -> Open with has a button "Remember this application for XXX files" which does a half-job of putting a new entry into the "Right click on file" menu, but does not provide a mechanism to finish the job, namely to change the default.  No hint that this is tucked away under "Right click on file" -> Properties -> Open With.

My suggestion would be to fix up "Preferences -> Preferred Applications" to display and change all application preferences, as well as adding a change of default option to "Right click on file" -> Open with dialog.  As far as I am concerned, the "Right click on file" -> Properties -> Open With can just as well stay (even though I think it's in the wrong place) unless there is a good reason for removing it.
Comment 2 Bug Zapper 2011-06-01 11:43:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:51:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.